# Created by pyp2rpm-1.1.2
%global pypi_name wsgi_intercept

Name:           python-%{pypi_name}
Version:        0.10.2
Release:        1%{?dist}
Summary:        wsgi_intercept installs a WSGI application in place of a real URI for testing

License:        MIT
URL:            http://pypi.python.org/pypi/wsgi_intercept
Source0:        https://pypi.python.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-setuptools

%description
It installs a WSGI application in place of a real URI for testing.
Testing a WSGI application normally involves starting a server at
a local host and port, then pointing your test code to that address.
Instead,this library lets you intercept calls to any specific host/port
combination and redirect them into a `WSGI application`_ importable by
your test program.

%package doc
Summary:        Documentation for the wsgi-intercept module

BuildRequires:  python-sphinx
#BuildRequires:  python-sphinx_rtd_theme

%description doc
Documentation for the wsgi-intercept module

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
rm -rf test/*
# generate html docs
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%build
%{__python2} setup.py build

# for docs
pushd docs
sphinx-build -b html -d build/doctrees . build/html
popd

%install
%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc README
# Issue for including LICENSE in code repository is filed upstream.
# https://github.com/cdent/wsgi-intercept/issues/33
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files doc
%doc docs/build/html

%changelog
* Wed Aug 12 2015 chandankumar <chkumar246@gmail.com> - 0.10.2-1
- Initial package.
